PRAGMA foreign_keys = false;

drop index "main"."task_status_idx";

alter table "main"."task" rename to "_task_old_20200706";

create TABLE "main"."task" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "scene_id" integer,
  "execute_count" integer,
  "executed_count" integer,
  "name" text,
  "lua_data" text,
  "status" integer,
  "progress_json" text,
  "comment" text,
  "start_time" date,
  "end_time" date,
  "consume_time" integer,
  "first_pose_json" text,
  "mode" integer DEFAULT 0,
  "trigger_way" integer DEFAULT 0,
  "is_deleted" integer DEFAULT 0,
  "create_time" date,
  "update_time" date
);

insert into "main"."sqlite_sequence" (name, seq) values ("task", '10000');

insert into "main"."task" ("id", "scene_id", "execute_count", "executed_count", "name", "lua_data", "status", "progress_json", "comment", "start_time", "end_time", "consume_time", "first_pose_json", "mode", "create_time", "update_time") select "id", "scene_id", "execute_count", "executed_count", "name", "lua_data", "status", "progress_json", "comment", "start_time", "end_time", "consume_time", "first_pose_json", "mode", "create_time", "update_time" from "main"."_task_old_20200706";

create INDEX "main"."task_status_idx"
ON "task" (
  "status" COLLATE BINARY DESC
);

create INDEX "main"."task_trigger_way_idx"
ON "task" (
  "trigger_way" COLLATE BINARY DESC
);

create INDEX "main"."task_is_deleted_idx"
ON "task" (
  "is_deleted" COLLATE BINARY DESC
);

PRAGMA foreign_keys = true;