PRAGMA foreign_keys = false;

DROP INDEX "main"."task_is_deleted_idx";

DROP INDEX "main"."task_status_idx";

DROP INDEX "main"."task_trigger_way_idx";

ALTER TABLE "main"."task" RENAME TO "_task_old_20200915";

CREATE TABLE "main"."task" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "scene_id" integer,
  "execute_count" integer,
  "executed_count" integer,
  "name" text,
  "end_lua" text,
  "lua_data" text,
  "status" integer,
  "progress_json" text,
  "comment" text,
  "start_time" date,
  "end_time" date,
  "consume_time" integer,
  "first_pose_json" text,
  "mode" integer DEFAULT 0,
  "trigger_way" integer DEFAULT 0,
  "is_deleted" integer DEFAULT 0,
  "create_time" date,
  "update_time" date
);

INSERT INTO "main"."sqlite_sequence" (name, seq) VALUES ("task", '10000');

INSERT INTO "main"."task" ("id", "scene_id", "execute_count", "executed_count", "name", "lua_data", "status", "progress_json", "comment", "start_time", "end_time", "consume_time", "first_pose_json", "mode", "trigger_way", "is_deleted", "create_time", "update_time") SELECT "id", "scene_id", "execute_count", "executed_count", "name", "lua_data", "status", "progress_json", "comment", "start_time", "end_time", "consume_time", "first_pose_json", "mode", "trigger_way", "is_deleted", "create_time", "update_time" FROM "main"."_task_old_20200915";

CREATE INDEX "main"."task_is_deleted_idx"
ON "task" (
  "is_deleted" COLLATE BINARY DESC
);

CREATE INDEX "main"."task_status_idx"
ON "task" (
  "status" COLLATE BINARY DESC
);

CREATE INDEX "main"."task_trigger_way_idx"
ON "task" (
  "trigger_way" COLLATE BINARY DESC
);

PRAGMA foreign_keys = true;